aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib
diff options
context:
space:
mode:
authorGravatar ncteisen <ncteisen@gmail.com>2018-01-12 15:16:41 -0800
committerGravatar Noah Eisen <ncteisen@google.com>2018-01-16 17:24:51 -0800
commit365ea6309bd683d384b58e05fdb58e557b20ba19 (patch)
treea855ca5699948a9b538f81dd9b56d641bd1b071e /tools/distrib
parent5edcfb39c6afaabdd183da9e08fbcc56720fb92f (diff)
Dockerize clang tidy
Diffstat (limited to 'tools/distrib')
-rwxr-xr-xtools/distrib/clang_tidy_code.sh31
-rwxr-xr-xtools/distrib/run_clang_tidy.py3
2 files changed, 33 insertions, 1 deletions
diff --git a/tools/distrib/clang_tidy_code.sh b/tools/distrib/clang_tidy_code.sh
new file mode 100755
index 0000000000..c5bfc5ca4c
--- /dev/null
+++ b/tools/distrib/clang_tidy_code.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+# Copyright 2015 gRPC authors.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -ex
+
+# change to root directory
+cd $(dirname $0)/../..
+REPO_ROOT=$(pwd)
+
+if [ "$CLANG_TIDY_SKIP_DOCKER" == "" ]
+then
+ # build clang-tidy docker image
+ docker build -t grpc_clang_tidy tools/dockerfile/grpc_clang_tidy
+
+ # run clang-tidy against the checked out codebase
+ docker run -e TEST=$TEST -e CHANGED_FILES="$CHANGED_FILES" -e CLANG_TIDY_ROOT="/local-code" --rm=true -v "${REPO_ROOT}":/local-code -t grpc_clang_tidy /clang_tidy_all_the_things.sh
+else
+ CLANG_tidy_ROOT="${REPO_ROOT}" tools/dockerfile/grpc_clang_tidy/clang_tidy_all_the_things.sh
+fi
diff --git a/tools/distrib/run_clang_tidy.py b/tools/distrib/run_clang_tidy.py
index bc61d4e79a..182897e491 100755
--- a/tools/distrib/run_clang_tidy.py
+++ b/tools/distrib/run_clang_tidy.py
@@ -57,7 +57,8 @@ cmdline = [
clang_tidy,
'--checks=-*,%s' % ','.join(GRPC_CHECKS),
'--warnings-as-errors=%s' % ','.join(GRPC_CHECKS)
-] + ['--extra-arg-before=%s' % arg for arg in extra_args]
+]
+# + ['--extra-arg-before=%s' % arg for arg in extra_args]
if args.fix:
cmdline.append('--fix')